## Function `dotProduct( array1, array2 )`

Description:
  Returns the dot (scalar) product of two numeric arrays. If either argument is not an array, or if the arrays are not of the same length, a blank value is returned.

Parameters:
  `array1` (Object)
    first array
  `array2` (Object)
    second array

Return Value (floating point):
  sum of element-wise products of input arrays

Example:
  `dotProduct(array(3,4,5), array(1,2,3)) = 26`

Signature:
  `double dotProduct(Object, Object)`